View Issue Details

IDProjectCategoryView StatusLast Update
0016917mantisbtcustomizationpublic2016-04-28 18:05
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.15 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016917: Manage Configuration Complex Type fails when array is terminated with a semi-color
Description

The regular expression match:
array( 'a', 'b', 'c')

but not:
array( 'a', 'b', 'c');

This can be confusing to users specially that we are not specifying the expectation for this type or what it means. Ideally, we change the name of this type to something more meaningful, e.g. array.

Tagsmantishub

Relationships

has duplicate 0016918 closedvboctor Manage - Manage Configuration: Complex type doesn't handle array of strings 
related to 0020787 closeddregad Setting of arrays (complex type) in Configuration Page doesn't work 

Activities

vboctor

vboctor

2014-02-05 12:13

manager   ~0039326

Submitted pull request for this:
https://github.com/mantisbt/mantisbt/pull/131

Related Changesets

MantisBT: master 2a02f882

2014-02-14 23:43:42

mantishub

Details Diff
Fixes 0016917: Manage Configuration: Complex Type fails when array is terminated with a semi-color.
mod - adm_config_set.php Diff File

Issue History

Date Modified Username Field Change
2014-02-04 02:32 vboctor New Issue
2014-02-04 02:32 vboctor Status new => assigned
2014-02-04 02:32 vboctor Assigned To => vboctor
2014-02-05 12:13 vboctor Relationship added has duplicate 0016918
2014-02-05 12:13 vboctor Note Added: 0039326
2014-02-14 23:44 mantishub Changeset attached => MantisBT master 2a02f882
2014-02-14 23:44 mantishub Assigned To vboctor => mantishub
2014-02-14 23:44 mantishub Status assigned => resolved
2014-02-14 23:44 mantishub Resolution open => fixed
2014-02-14 23:44 mantishub Fixed in Version => 1.3.0dev
2014-02-15 03:17 atrol Assigned To mantishub =>
2014-02-15 03:17 atrol Fixed in Version 1.3.0dev => 1.3.0-beta.1
2014-02-27 12:43 atrol Target Version => 1.3.0-beta.1
2014-11-02 11:23 vboctor Assigned To => vboctor
2014-11-02 11:25 vboctor Tag Attached: mantishub
2014-12-08 00:33 vboctor Status resolved => closed
2016-04-28 18:05 dregad Relationship added related to 0020787